%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global tarball_name simplemediawiki

Name:           python-%{tarball_name}
Version:        1.1.1
Release:        3%{?dist}
Summary:        Extremely low-level wrapper to the MediaWiki API

Group:          Development/Libraries
License:        LGPLv2+
URL:            https://github.com/ianweller/python-simplemediawiki
Source0:        http://pypi.python.org/packages/source/s/%{tarball_name}/%{tarball_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel python-simplejson python-sphinx python-kitchen
Requires:       python-simplejson python-kitchen

%description
The module simplemediawiki is an extremely low-level wrapper to the MediaWiki 
API. It automatically handles cookies and g zip compression so that you can 
make basic calls to the API in the easiest way possible. It also provides a 
few functions to make day-to-day API access easier.

%prep
%setup -qn %{tarball_name}-%{version}

%build
%{__python} setup.py build build_sphinx

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --root=%{buildroot} --record=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING PKG-INFO README build/sphinx/html
%{python_sitelib}/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 26 2012 Ian Weller <iweller@redhat.com> - 1.1.1-1
- Update to version 1.1.1
  - Fixes an issue where MediaWiki.parse_date doesn't actually work at all
  - Remove dependency on python-iso8601 which is no longer necessary
  - Add dependency on python-kitchen

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 28 2011 Luke Macken <lmacken@redhat.com> - 1.1-1
- Update to 1.1 (#678398)
- Require python-simplejson
- Include the README
- Build the HTML documentation

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 20 2010 Abdel Martínez <potty@fedoraproject.org> - 1.0-3
- Requires (python-iso8601) added.

* Fri Nov 12 2010 Abdel Martínez <potty@fedoraproject.org> - 1.0-2
- Correcting license.
- Remove/adding variables.
- Modifying description length.
- Adding documentation.

* Wed Nov 10 2010 Abdel Martínez <potty@fedoraproject.org> - 1.0-1
- First package build.
